Tag Parser: TagParser::AvcConfiguration Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::AvcConfiguration Class Reference

The AvcConfiguration struct provides a parser for AVC configuration. More...

`#include <avcconfiguration.h>`

Collaboration diagram for TagParser::AvcConfiguration:
[legend]

## Public Member Functions
| AvcConfiguration ()
| Constructs an empty AVC configuration.
void | parse (CppUtilities::BinaryReader &reader, std::uint64_t maxSize, Diagnostics &diag)
| Parses the AVC configuration using the specified reader.

## Public Attributes
std::uint8_t | profileIndication
std::uint8_t | profileCompat
std::uint8_t | levelIndication
std::uint8_t | naluSizeLength
std::vector< SpsInfo > | spsInfos
std::vector< PpsInfo > | ppsInfos

## Detailed Description

The AvcConfiguration struct provides a parser for AVC configuration.

Definition at line 13 of file avcconfiguration.h.

## Constructor & Destructor Documentation

## ◆ AvcConfiguration()

TagParser::AvcConfiguration::AvcConfiguration | ( |  | ) |
| inline

Constructs an empty AVC configuration.

Definition at line 28 of file avcconfiguration.h.

## Member Function Documentation

## ◆ parse()

void TagParser::AvcConfiguration::parse | ( | CppUtilities::BinaryReader & | reader,
|  | std::uint64_t | maxSize,
|  | Diagnostics & | diag )

Parses the AVC configuration using the specified reader.

Exceptions

  Throws | TruncatedDataException() when the config size exceeds the specified maxSize.

Definition at line 25 of file avcconfiguration.cpp.

## Member Data Documentation

## ◆ levelIndication

std::uint8_t TagParser::AvcConfiguration::levelIndication

Definition at line 17 of file avcconfiguration.h.

## ◆ naluSizeLength

std::uint8_t TagParser::AvcConfiguration::naluSizeLength

Definition at line 18 of file avcconfiguration.h.

## ◆ ppsInfos

std::vector<PpsInfo> TagParser::AvcConfiguration::ppsInfos

Definition at line 20 of file avcconfiguration.h.

## ◆ profileCompat

std::uint8_t TagParser::AvcConfiguration::profileCompat

Definition at line 16 of file avcconfiguration.h.

## ◆ profileIndication

std::uint8_t TagParser::AvcConfiguration::profileIndication

Definition at line 15 of file avcconfiguration.h.

## ◆ spsInfos

std::vector<SpsInfo> TagParser::AvcConfiguration::spsInfos

Definition at line 19 of file avcconfiguration.h.

The documentation for this class was generated from the following files:

- avc/avcconfiguration.h
- avc/avcconfiguration.cpp